summaryrefslogtreecommitdiff
path: root/test/TestRunner.sh
diff options
context:
space:
mode:
authorChris Lattner <sabre@nondot.org>2002-02-11 23:32:43 +0000
committerChris Lattner <sabre@nondot.org>2002-02-11 23:32:43 +0000
commitd24d4afb99da4c60acbd692c77faf72f46edea52 (patch)
tree343e77b22241364eecd3da6d3292d9ee7c4505b3 /test/TestRunner.sh
parent7e49ea1519fef0feb9586048b7eb928f6790bf16 (diff)
downloadllvm-d24d4afb99da4c60acbd692c77faf72f46edea52.tar.gz
llvm-d24d4afb99da4c60acbd692c77faf72f46edea52.tar.bz2
llvm-d24d4afb99da4c60acbd692c77faf72f46edea52.tar.xz
Allow multiline RUN:'s
git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@1732 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'test/TestRunner.sh')
-rwxr-xr-xtest/TestRunner.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/test/TestRunner.sh b/test/TestRunner.sh
index 725846752c..a9f27ac96f 100755
--- a/test/TestRunner.sh
+++ b/test/TestRunner.sh
@@ -8,12 +8,14 @@
# %s - Replaced with the input name of the program
#
-PROGRAM=`grep 'RUN:' $1 | sed "s/^.*RUN:\(.*\)$/\1/g;s/%s/$1/g" | head -n 1`
+grep 'RUN:' $1 | sed "s/^.*RUN:\(.*\)$/\1/g;s/%s/$1/g" > Output/$1.script
OUTPUT=Output/$1.out
-($PROGRAM) > $OUTPUT 2>&1 || (
+
+/bin/sh Output/$1.script > $OUTPUT 2>&1 || (
echo "******************** TEST '$1' FAILED! ********************"
- echo "Command: " $PROGRAM
+ echo "Command: "
+ cat Output/$1.script
echo "Output:"
cat $OUTPUT
rm $OUTPUT